Package org.eclipse.jface.wizard

# Interface IWizardContainer2

All Superinterfaces:
  `IRunnableContext`, `IWizardContainer`

All Known Implementing Classes:
  `WizardDialog`

public interface IWizardContainer2 extends IWizardContainer

`IWizardContainer2` is a supplement to `IWizardContainer` that adds a method for updating the size of the wizard shell based on the contents of the current page.

The class `WizardDialog` provides a fully functional implementation of this interface which will meet the needs of most clients. However, clients are also free to implement this interface if `WizardDialog` does not suit their needs.

Since:
  3.0
See Also:
  - `IWizardContainer`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateSize()`
Updates the window size to reflect the state of the current wizard.

### Methods inherited from interface org.eclipse.jface.operation.IRunnableContext

`run`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardContainer

`getCurrentPage, getShell, showPage, updateButtons, updateMessage, updateTitleBar, updateWindowTitle`

## Method Details

### updateSize

void updateSize()
Updates the window size to reflect the state of the current wizard.

This method is called by the container itself when its wizard changes and may be called by the wizard at other times to force a window size change.